Qt 5.11 | Qt Multimedia | C++ Classes | QCameraViewfinderSettingsControl

Qt 5.11.3 Reference Documentation

# QCameraViewfinderSettingsControl Class

The QCameraViewfinderSettingsControl class provides an abstract class for controlling camera viewfinder parameters. More...

Header: | #include <QCameraViewfinderSettingsControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Types

enum | ViewfinderParameter { Resolution, PixelAspectRatio, MinimumFrameRate, MaximumFrameRate, PixelFormat, UserParameter }

## Public Functions

virtual | ~QCameraViewfinderSettingsControl()
virtual bool | isViewfinderParameterSupported(QCameraViewfinderSettingsControl::ViewfinderParameter parameter) const = 0
virtual void | setViewfinderParameter(QCameraViewfinderSettingsControl::ViewfinderParameter parameter, const QVariant &value) = 0
virtual QVariant | viewfinderParameter(QCameraViewfinderSettingsControl::ViewfinderParameter parameter) const = 0

## Protected Functions

| QCameraViewfinderSettingsControl(QObject *parent = nullptr)

## Macros

| QCameraViewfinderSettingsControl_iid

## Detailed Description

The QCameraViewfinderSettingsControl class provides an abstract class for controlling camera viewfinder parameters.

The interface name of QCameraViewfinderSettingsControl is `org.qt-project.qt.cameraviewfindersettingscontrol/5.0` as defined in QCameraViewfinderSettingsControl_iid.

Warning: New backends should implement QCameraViewfinderSettingsControl2 instead. Application developers should request this control only if QCameraViewfinderSettingsControl2 is not available.

See also QMediaService::requestControl(), QCameraViewfinderSettingsControl2, and QCamera.

## Member Type Documentation

### enum QCameraViewfinderSettingsControl::ViewfinderParameter

Constant | Value | Description
--- | --- | ---
`QCameraViewfinderSettingsControl::Resolution` | `0` | Viewfinder resolution, QSize.
`QCameraViewfinderSettingsControl::PixelAspectRatio` | `1` | Pixel aspect ratio, QSize as in QVideoSurfaceFormat::pixelAspectRatio
`QCameraViewfinderSettingsControl::MinimumFrameRate` | `2` | Minimum viewfinder frame rate, qreal
`QCameraViewfinderSettingsControl::MaximumFrameRate` | `3` | Maximum viewfinder frame rate, qreal
`QCameraViewfinderSettingsControl::PixelFormat` | `4` | Viewfinder pixel format, QVideoFrame::PixelFormat
`QCameraViewfinderSettingsControl::UserParameter` | `1000` | The base value for platform specific extended parameters. For such parameters the sequential values starting from UserParameter should be used.

## Member Function Documentation

### `[protected]` QCameraViewfinderSettingsControl::QCameraViewfinderSettingsControl(QObject *parent = nullptr)

Constructs a camera viewfinder control object with parent.

### `[virtual]` QCameraViewfinderSettingsControl::~QCameraViewfinderSettingsControl()

Destroys the camera viewfinder control object.

### `[pure virtual]` bool QCameraViewfinderSettingsControl::isViewfinderParameterSupported(QCameraViewfinderSettingsControl::ViewfinderParameter parameter) const

### `[pure virtual]` void QCameraViewfinderSettingsControl::setViewfinderParameter(QCameraViewfinderSettingsControl::ViewfinderParameter parameter, const QVariant &value)

See also viewfinderParameter().

### `[pure virtual]` QVariant QCameraViewfinderSettingsControl::viewfinderParameter(QCameraViewfinderSettingsControl::ViewfinderParameter parameter) const

See also setViewfinderParameter().

## Macro Documentation

### QCameraViewfinderSettingsControl_iid

`org.qt-project.qt.cameraviewfindersettingscontrol/5.0`

Defines the interface name of the QCameraViewfinderSettingsControl class.